import QtQuick 1.0

//import qmlprocess 1.0
import quickwidgets 1.0

Item {

    function parse(stdout) {
        var rx = /"([\S\s]*?)"/;
        var val=stdout.match(rx)
        if (val) {
            return val[1]
        }
        return ""
    }

    function updateLabels(stdout) {
        var val = parse(stdout)
        if (val) {
            var parts = val.split("\n");
            if (parts.length == 3) {
                title.text = parts[0]
                artist.text = parts[1]
                album.text = parts[2]
                return
            }
        }
        title.text = "";
        artist.text = "";
        album.text =  "";
    }

    function suspend() {
        updateinfo.stop()
    }

    function resume() {
        delay.start()
    }

    id: info
    property string command: "sh -c \"dbus-send --type=method_call --print-reply --dest=ru.somebody.someplayer / ru.somebody.someplayer.title_artist_album"
    property string artcommand: "sh -c \"dbus-send --type=method_call --print-reply --dest=ru.somebody.someplayer / ru.somebody.someplayer.albumart"


    Rectangle {
        id: artholder
        anchors.left:  parent.left
        anchors.leftMargin: 10
        width: 300
        height: 300
        color: "#202020"
        radius: 3

        Image {
            id: art
            fillMode: Image.PreserveAspectCrop
            source: "/home/mar637/art.jpg"
            anchors.fill: parent
        }
    }
Row {
    spacing: 0
    anchors.top: artholder.bottom
    anchors.leftMargin: 5
    height: parente.height - artholder.height
    
    Column {
        
	Text {
            id: title
            height: parent.height
            elide: Text.ElideRight
            font.pointSize: 17
            font.bold:  true
            color: "#FFFFFF"
        }
       	Text {
            id: artist
            anchors.top: artholder.bottom
            color:  "green"
            font.pointSize: 11
        }	
        Text {
            id: album
            font.pointSize: 8
            color: "#d0d0d0"
       	}
   }
}
    Process {
        id: dbus
        command: info.command

        onCompleted: { updateLabels(stdout) }
        onFailed: { updateLabels("") }
    }
    Process {
        id: dbusart
        command: info.artcommand

        onCompleted: { art.source = parse(stdout); }
        onFailed: { art.source = "" }
    }

    Timer {
        id: delay
        repeat: false
        interval: 900
        triggeredOnStart: false
        //running: runtime.isActiveWindow
        onTriggered: { updateinfo.restart() }
    }
    Timer {
        id: updateinfo
        repeat: true
        interval: 9000
        triggeredOnStart: true
        running: runtime.isActiveWindow
        onTriggered: { dbus.run();dbusart.run() }
    }

    Component.onCompleted: { updateinfo.start(); }
}
