import QtQuick 1.0
//import qmlprocess 1.0
import quickwidgets 1.0

import "content"

Item {
    width:  400
    height:  400

    Rectangle {
        id: backgroundfill
        anchors.fill: parent
        opacity:  0.5
        color: "blue"
        radius:  5
    }

    Text {
        id: note
        anchors.centerIn: parent
        visible: false
        text:  "Someplayer esta apagado..."
        font.bold: true
        horizontalAlignment: Text.AlignHCenter
        font.pointSize: 15
        color: "white"
        Rectangle {
            color: "#606060"
            radius: 5
            width: 100
            height: 50
	    anchors.top: parent.bottom
            anchors.topMargin: 10
            anchors.horizontalCenter: parent.horizontalCenter
            Text { color: "white"; text: "Click iniciar"
                   font.pointSize: 11
                   anchors.centerIn: parent
            }

            MouseArea {
                anchors.fill: parent
                onClicked: someplayer.run()
            }
    Process {
        id: someplayer
        command: "sh -c \"/usr/bin/someplayer &\""
        onCompleted: {
            player.visible = true;
            info.visible = true;
            info.resume();
            note.visible = false;
        }
        onFailed: {
            player.visible = false;
            info.visible = false;
            info.suspend()
            note.visible = true;
        }
    }
        
        }
    }


    TrackInfo {
        id: info
        width: parent.width
        height: parent.height-player.height-10
        anchors.top: parent.top
        anchors.topMargin: 5
        anchors.horizontalCenter: parent.horizontalCenter
    }

    Column {
        anchors.right: parent.right
        anchors.bottomMargin: 5
        anchors.top: parent.top
        id: player
        spacing: 10
        Button {
            width:  55
            height:  55
            id: back
            anchors.top: parent.top
            buttonType: "prev"
            onPressed: {
                info.resume();
                pp.play()
            }
        }

        ToggleButton {
            id: pp
            width:  64
            height:  64
            onPressed: {
                info.resume();
            }
        }
        Button {
            id: stop
            buttonType: "stop"
            width:  64
            height:  64
            onPressed: {
                info.suspend()
                pp.pause()
            }
        }

        Button {
            width:  55
            height:  55
            id: fwd
            anchors.bottom: parent.bottom
            buttonType: "next"
            onPressed: {
                info.resume();
                pp.play()
            }
        }
    }

    Timer {
        id: checktimer
        interval:  20000
        triggeredOnStart: true
        repeat:  true
        running: runtime.isActiveWindow
        onTriggered:  {checker.run();}
    }

    Process {
        id: checker
        command: "sh -c \"ps -ef |grep someplayer |grep -v grep\""
        onCompleted: {
            player.visible = true;
            info.visible = true;
            info.resume();
            note.visible = false;
        }
        onFailed: {
            player.visible = false;
            info.visible = false;
            info.suspend()
            note.visible = true;
        }
    }

    Component.onCompleted: {
        checktimer.start()
    }
}

